<?php

/**
 * Returns an array of countries for inserting into the database.
 */
function _ms_core_get_countries_data() {
  return array(
    array('Afghanistan', 'AF', '4', 'AFA'),
    array('Albania', 'AL', '8', 'ALL'),
    array('Algeria', 'DZ', '12', 'DZD'),
    array('American Samoa', 'AS', '16', 'USD'),
    array('Andorra', 'AD', '20', 'EUR'),
    array('Angola', 'AO', '24', 'AOA'),
    array('Anguilla', 'AI', '660', 'XCD'),
    array('Antarctica', 'AQ', '10', ''),
    array('Antigua and Barbuda', 'AG', '28', 'XCD'),
    array('Argentina', 'AR', '32', 'ARS'),
    array('Armenia', 'AM', '51', 'AMD'),
    array('Aruba', 'AW', '533', 'AWG'),
    array('Australia', 'AU', '36', 'AUD'),
    array('Austria', 'AT', '40', 'EUR'),
    array('Azerbaijan', 'AZ', '31', 'AZM'),
    array('Bahrain', 'BH', '48', 'BHD'),
    array('Bangladesh', 'BD', '50', 'BDT'),
    array('Barbados', 'BB', '52', 'BBD'),
    array('Belarus', 'BY', '112', 'BYR'),
    array('Belgium', 'BE', '56', 'EUR'),
    array('Belize', 'BZ', '84', 'BZD'),
    array('Benin', 'BJ', '204', 'XOF'),
    array('Bermuda', 'BM', '60', 'BMD'),
    array('Bhutan', 'BT', '64', 'BTN'),
    array('Bolivia', 'BO', '68', 'BOB'),
    array('Bosnia and Herzegovina', 'BA', '70', 'BAM'),
    array('Botswana', 'BW', '72', 'BWP'),
    array('Bouvet Island', 'BV', '74', 'NOK'),
    array('Brazil', 'BR', '76', 'BRL'),
    array('British Indian Ocean Territory', 'IO', '86', 'USD'),
    array('British Virgin Islands', 'VG', '92', 'USD'),
    array('Brunei Darussalam', 'BN', '96', 'BND'),
    array('Bulgaria', 'BG', '100', 'BGN'),
    array('Burkina Faso', 'BF', '854', 'XOF'),
    array('Burundi', 'BI', '108', 'BIF'),
    array('Cambodia', 'KH', '116', 'KHR'),
    array('Cameroon', 'CM', '120', 'XAF'),
    array('Canada', 'CA', '124', 'CAD'),
    array('Cape Verde', 'CV', '132', 'CVE'),
    array('Cayman Islands', 'KY', '136', 'KYD'),
    array('Central African Republic', 'CF', '140', 'XAF'),
    array('Chad', 'TD', '148', 'XAF'),
    array('Chile', 'CL', '152', 'CLP'),
    array('China', 'CN', '156', 'CNY'),
    array('Christmas Island', 'CX', '162', 'AUD'),
    array('Cocos (Keeling) Islands', 'CC', '166', 'AUD'),
    array('Colombia', 'CO', '170', 'COP'),
    array('Comoros', 'KM', '174', 'KMF'),
    array('Congo, Democratic Republic of the', 'CD', '180', 'CDF'),
    array('Congo, Republic of the', 'CG', '178', 'XAF'),
    array('Cook Islands', 'CK', '184', 'NZD'),
    array('Costa Rica', 'CR', '188', 'CRC'),
    array("Cote d'Ivoire", 'CI', '384', 'XOF'),
    array('Croatia', 'HR', '191', 'HRK'),
    array('Cuba', 'CU', '192', 'CUP'),
    array('Cyprus', 'CY', '196', 'CYP'),
    array('Czech Republic', 'CZ', '203', 'CZK'),
    array('Denmark', 'DK', '208', 'DKK'),
    array('Djibouti', 'DJ', '262', 'DJF'),
    array('Dominica', 'DM', '212', 'XCD'),
    array('Dominican Republic', 'DO', '214', 'DOP'),
    array('East Timor', 'TL', '626', 'TPE'),
    array('Ecuador', 'EC', '218', 'USD'),
    array('Egypt', 'EG', '818', 'EGP'),
    array('El Salvador', 'SV', '222', 'SVC'),
    array('Equatorial Guinea', 'GQ', '226', 'XAF'),
    array('Eritrea', 'ER', '232', 'ERN'),
    array('Estonia', 'EE', '233', 'EEK'),
    array('Ethiopia', 'ET', '231', 'ETB'),
    array('Falkland Islands (Islas Malvinas)', 'FK', '238', 'FKP'),
    array('Faroe Islands', 'FO', '234', 'DKK'),
    array('Fiji', 'FJ', '242', 'FJD'),
    array('Finland', 'FI', '246', 'EUR'),
    array('France', 'FR', '250', 'EUR'),
    array('French Guiana', 'GF', '254', 'EUR'),
    array('French Polynesia', 'PF', '258', 'XPF'),
    array('French Southern and Antarctic Lands', 'TF', '260', 'EUR'),
    array('Gabon', 'GA', '266', 'XAF'),
    array('Georgia', 'GE', '268', 'GEL'),
    array('Germany', 'DE', '276', 'EUR'),
    array('Ghana', 'GH', '288', 'GHC'),
    array('Gibraltar', 'GI', '292', 'GIP'),
    array('Greece', 'GR', '300', 'EUR'),
    array('Greenland', 'GL', '304', 'DKK'),
    array('Grenada', 'GD', '308', 'XCD'),
    array('Guadeloupe', 'GP', '312', 'EUR'),
    array('Guam', 'GU', '316', 'USD'),
    array('Guatemala', 'GT', '320', 'GTQ'),
    array('Guernsey', 'GG', '831', 'GBP'),
    array('Guinea', 'GN', '324', 'GNF'),
    array('Guinea-Bissau', 'GW', '624', 'XOF'),
    array('Guyana', 'GY', '328', 'GYD'),
    array('Haiti', 'HT', '332', 'HTG'),
    array('Heard Island and McDonald Islands', 'HM', '334', 'AUD'),
    array('Holy See (Vatican City)', 'VA', '336', 'EUR'),
    array('Honduras', 'HN', '340', 'HNL'),
    array('Hong Kong (SAR)', 'HK', '344', 'HKD'),
    array('Hungary', 'HU', '348', 'HUF'),
    array('Iceland', 'IS', '352', 'ISK'),
    array('India', 'IN', '356', 'INR'),
    array('Indonesia', 'ID', '360', 'IDR'),
    array('Iran', 'IR', '364', 'IRR'),
    array('Iraq', 'IQ', '368', 'IQD'),
    array('Ireland', 'IE', '372', 'EUR'),
    array('Israel', 'IL', '376', 'ILS'),
    array('Italy', 'IT', '380', 'EUR'),
    array('Jamaica', 'JM', '388', 'JMD'),
    array('Japan', 'JP', '392', 'JPY'),
    array('Jersey', 'JE', '832', 'GBP'),
    array('Jordan', 'JO', '400', 'JOD'),
    array('Kazakhstan', 'KZ', '398', 'KZT'),
    array('Kenya', 'KE', '404', 'KES'),
    array('Kiribati', 'KI', '296', 'AUD'),
    array('Korea, North', 'KP', '408', 'KPW'),
    array('Korea, South', 'KR', '410', 'KRW'),
    array('Kuwait', 'KW', '414', 'KWD'),
    array('Kyrgyzstan', 'KG', '417', 'KGS'),
    array('Laos', 'LA', '418', 'LAK'),
    array('Latvia', 'LV', '428', 'LVL'),
    array('Lebanon', 'LB', '422', 'LBP'),
    array('Lesotho', 'LS', '426', 'LSL'),
    array('Liberia', 'LR', '430', 'LRD'),
    array('Libya', 'LY', '434', 'LYD'),
    array('Liechtenstein', 'LI', '438', 'CHF'),
    array('Lithuania', 'LT', '440', 'LTL'),
    array('Luxembourg', 'LU', '442', 'EUR'),
    array('Macao', 'MO', '446', 'MOP'),
    array('Macedonia, The Former Yugoslav Republic of', 'MK', '807', 'MKD'),
    array('Madagascar', 'MG', '450', 'MGF'),
    array('Malawi', 'MW', '454', 'MWK'),
    array('Malaysia', 'MY', '458', 'MYR'),
    array('Maldives', 'MV', '462', 'MVR'),
    array('Mali', 'ML', '466', 'XOF'),
    array('Malta', 'MT', '470', 'EUR'),
    array('Marshall Islands', 'MH', '584', 'USD'),
    array('Martinique', 'MQ', '474', 'EUR'),
    array('Mauritania', 'MR', '478', 'MRO'),
    array('Mauritius', 'MU', '480', 'MUR'),
    array('Mayotte', 'YT', '175', 'EUR'),
    array('Mexico', 'MX', '484', 'MXN'),
    array('Micronesia, Federated States of', 'FM', '583', 'USD'),
    array('Moldova', 'MD', '498', 'MDL'),
    array('Monaco', 'MC', '492', 'EUR'),
    array('Mongolia', 'MN', '496', 'MNT'),
    array('Montenegro', 'ME', '499', ''),
    array('Montserrat', 'MS', '500', 'XCD'),
    array('Morocco', 'MA', '504', 'MAD'),
    array('Mozambique', 'MZ', '508', 'MZM'),
    array('Myanmar', 'MM', '104', 'MMK'),
    array('Namibia', 'NA', '516', 'NAD'),
    array('Nauru', 'NR', '520', 'AUD'),
    array('Nepal', 'NP', '524', 'NPR'),
    array('Netherlands', 'NL', '528', 'EUR'),
    array('Netherlands Antilles', 'AN', '530', 'ANG'),
    array('New Caledonia', 'NC', '540', 'XPF'),
    array('New Zealand', 'NZ', '554', 'NZD'),
    array('Nicaragua', 'NI', '558', 'NIO'),
    array('Niger', 'NE', '562', 'XOF'),
    array('Nigeria', 'NG', '566', 'NGN'),
    array('Niue', 'NU', '570', 'NZD'),
    array('Norfolk Island', 'NF', '574', 'AUD'),
    array('Northern Mariana Islands', 'MP', '580', 'USD'),
    array('Norway', 'NO', '578', 'NOK'),
    array('Oman', 'OM', '512', 'OMR'),
    array('Pakistan', 'PK', '586', 'PKR'),
    array('Palau', 'PW', '585', 'USD'),
    array('Palestinian Territory, Occupied', 'PS', '275', ''),
    array('Panama', 'PA', '591', 'PAB'),
    array('Papua New Guinea', 'PG', '598', 'PGK'),
    array('Paraguay', 'PY', '600', 'PYG'),
    array('Peru', 'PE', '604', 'PEN'),
    array('Philippines', 'PH', '608', 'PHP'),
    array('Pitcairn Islands', 'PN', '612', 'NZD'),
    array('Poland', 'PL', '616', 'PLN'),
    array('Portugal', 'PT', '620', 'EUR'),
    array('Puerto Rico', 'PR', '630', 'USD'),
    array('Qatar', 'QA', '634', 'QAR'),
    array('Reunion', 'RE', '638', 'EUR'),
    array('Romania', 'RO', '642', 'ROL'),
    array('Russia', 'RU', '643', 'RUB'),
    array('Rwanda', 'RW', '646', 'RWF'),
    array('Saint Helena', 'SH', '654', 'SHP'),
    array('Saint Kitts and Nevis', 'KN', '659', 'XCD'),
    array('Saint Lucia', 'LC', '662', 'XCD'),
    array('Saint Pierre and Miquelon', 'PM', '666', 'EUR'),
    array('Saint Vincent and the Grenadines', 'VC', '670', 'XCD'),
    array('Samoa', 'WS', '882', 'WST'),
    array('San Marino', 'SM', '674', 'EUR'),
    array('Sao Tome and Principe', 'ST', '678', 'STD'),
    array('Saudi Arabia', 'SA', '682', 'SAR'),
    array('Senegal', 'SN', '686', 'XOF'),
    array('Serbia', 'RS', '688', ''),
    array('Seychelles', 'SC', '690', 'SCR'),
    array('Sierra Leone', 'SL', '694', 'SLL'),
    array('Singapore', 'SG', '702', 'SGD'),
    array('Slovakia', 'SK', '703', 'EUR'),
    array('Slovenia', 'SI', '705', 'EUR'),
    array('Solomon Islands', 'SB', '90', 'SBD'),
    array('Somalia', 'SO', '706', 'SOS'),
    array('South Africa', 'ZA', '710', 'ZAR'),
    array('South Georgia and the South Sandwich Islands', 'GS', '239', 'GBP'),
    array('Spain', 'ES', '724', 'EUR'),
    array('Sri Lanka', 'LK', '144', 'LKR'),
    array('Sudan', 'SD', '736', 'SDD'),
    array('Suriname', 'SR', '740', 'SRG'),
    array('Svalbard', 'SJ', '744', 'NOK'),
    array('Swaziland', 'SZ', '748', 'SZL'),
    array('Sweden', 'SE', '752', 'SEK'),
    array('Switzerland', 'CH', '756', 'CHF'),
    array('Syria', 'SY', '760', 'SYP'),
    array('Taiwan', 'TW', '158', 'TWD'),
    array('Tajikistan', 'TJ', '762', 'TJS'),
    array('Tanzania', 'TZ', '834', 'TZS'),
    array('Thailand', 'TH', '764', 'THB'),
    array('The Bahamas', 'BS', '44', 'BSD'),
    array('The Gambia', 'GM', '270', 'GMD'),
    array('Togo', 'TG', '768', 'XOF'),
    array('Tokelau', 'TK', '772', 'NZD'),
    array('Tonga', 'TO', '776', 'TOP'),
    array('Trinidad and Tobago', 'TT', '780', 'TTD'),
    array('Tunisia', 'TN', '788', 'TND'),
    array('Turkey', 'TR', '792', 'TRL'),
    array('Turkmenistan', 'TM', '795', 'TMM'),
    array('Turks and Caicos Islands', 'TC', '796', 'USD'),
    array('Tuvalu', 'TV', '798', 'AUD'),
    array('Uganda', 'UG', '800', 'UGX'),
    array('Ukraine', 'UA', '804', 'UAH'),
    array('United Arab Emirates', 'AE', '784', 'AED'),
    array('United Kingdom', 'GB', '826', 'GBP'),
    array('United States', 'US', '840', 'USD'),
    array('United States Minor Outlying Islands', 'UM', '581', 'USD'),
    array('Uruguay', 'UY', '858', 'UYU'),
    array('Uzbekistan', 'UZ', '860', 'UZS'),
    array('Vanuatu', 'VU', '548', 'VUV'),
    array('Venezuela', 'VE', '862', 'VEB'),
    array('Vietnam', 'VN', '704', 'VND'),
    array('Virgin Islands (US)', 'VI', '850', 'USD'),
    array('Wallis and Futuna', 'WF', '876', 'XPF'),
    array('Western Sahara', 'EH', '732', 'MAD'),
    array('Yemen', 'YE', '887', 'YER'),
    array('Yugoslavia', 'YU', '891', 'YUM'),
    array('Zambia', 'ZM', '894', 'ZMK'),
    array('Zimbabwe', 'ZW', '716', 'ZWD'),
  );
}
