<?php

/**
 * Gets the configuration area for all currencies.
 */
function ms_core_get_currencies_config() {
  $default = array(
    'AED' => array('name' => t('United Arab Emirates Dirham')),
    'AFN' => array('name' => t('Afghan Afghani')),
    'ALL' => array('name' => t('Albanian Lek')),
    'AMD' => array('name' => t('Armenian Dram')),
    'ANG' => array('name' => t('Netherlands Antillean Gulden')),
    'AOA' => array('name' => t('Angolan Kwanza')),
    'ARS' => array('name' => t('Argentine Peso')),
    'AUD' => array('name' => t('Australian Dollar'), 'sign' => '$',),
    'AWG' => array('name' => t('Aruban Florin')),
    'AZN' => array('name' => t('Azerbaijani Manat')),
    'BAM' => array('name' => t('Bosnia & Herzegovina Convertible Mark')),
    'BBD' => array('name' => t('Barbadian Dollar'), 'sign' => '$',),
    'BDT' => array('name' => t('Bangladeshi Taka')),
    'BGN' => array('name' => t('Bulgarian Lev')),
    'BIF' => array('name' => t('Burundian Franc')),
    'BMD' => array('name' => t('Bermudian Dollar'), 'sign' => '$',),
    'BND' => array('name' => t('Brunei Dollar'), 'sign' => '$',),
    'BOB' => array('name' => t('Bolivian Boliviano')),
    'BRL' => array('name' => t('Brazilian Real'), 'sign' => 'R$',),
    'BSD' => array('name' => t('Bahamian Dollar'), 'sign' => '$',),
    'BWP' => array('name' => t('Botswana Pula')),
    'BZD' => array('name' => t('Belize Dollar'), 'sign' => '$',),
    'CAD' => array('name' => t('Canadian Dollar'), 'sign' => '$',),
    'CDF' => array('name' => t('Congolese Franc')),
    'CFA' => array('name' => t('CFA franc'), 'sign' => 'CFA francs',),
    'CHF' => array('name' => t('Swiss Franc'), 'sign' => 'francs',),
    'CLP' => array('name' => t('Chilean Peso')),
    'CNY' => array('name' => t('Chinese Renminbi Yuan')),
    'COP' => array('name' => t('Colombian Peso')),
    'CRC' => array('name' => t('Costa Rican Colón')),
    'CVE' => array('name' => t('Cape Verdean Escudo')),
    'CZK' => array('name' => t('Czech Koruna'), 'sign' => 'Kc',),
    'DJF' => array('name' => t('Djiboutian Franc')),
    'DKK' => array('name' => t('Danish Krone'), 'sign' => 'kr',),
    'DOP' => array('name' => t('Dominican Peso')),
    'DZD' => array('name' => t('Algerian Dinar')),
    'EEK' => array('name' => t('Estonian Kroon')),
    'EGP' => array('name' => t('Egyptian Pound')),
    'ETB' => array('name' => t('Ethiopian Birr')),
    'EUR' => array('name' => t('Euro'), 'sign' => '€',),
    'FJD' => array('name' => t('Fijian Dollar'), 'sign' => '$',),
    'FKP' => array('name' => t('Falkland Islands Pound')),
    'GBP' => array('name' => t('British Pound'), 'sign' => '£',),
    'GEL' => array('name' => t('Georgian Lari')),
    'GIP' => array('name' => t('Gibraltar Pound')),
    'GMD' => array('name' => t('Gambian Dalasi')),
    'GNF' => array('name' => t('Guinean Franc')),
    'GTQ' => array('name' => t('Guatemalan Quetzal')),
    'GYD' => array('name' => t('Guyanese Dollar'), 'sign' => '$',),
    'HKD' => array('name' => t('Hong Kong Dollar'), 'sign' => '$',),
    'HNL' => array('name' => t('Honduran Lempira')),
    'HRK' => array('name' => t('Croatian Kuna')),
    'HTG' => array('name' => t('Haitian Gourde')),
    'HUF' => array('name' => t('Hungarian Forint'), 'sign' => 'forint',),
    'IDR' => array('name' => t('Indonesian Rupiah')),
    'ILS' => array('name' => t('Israeli New Sheqel'), 'sign' => 'new shekalim',),
    'INR' => array('name' => t('Indian Rupee'), 'sign' => 'INR',),
    'ISK' => array('name' => t('Icelandic Króna')),
    'JMD' => array('name' => t('Jamaican Dollar'), 'sign' => '$',),
    'JPY' => array('name' => t('Japanese Yen'), 'sign' => '¥',),
    'KES' => array('name' => t('Kenyan Shilling')),
    'KGS' => array('name' => t('Kyrgyzstani Som')),
    'KHR' => array('name' => t('Cambodian Riel')),
    'KMF' => array('name' => t('Comorian Franc')),
    'KRW' => array('name' => t('South Korean Won'), 'sign' => '₩',),
    'KYD' => array('name' => t('Cayman Islands Dollar'), 'sign' => '$',),
    'KZT' => array('name' => t('Kazakhstani Tenge')),
    'LAK' => array('name' => t('Lao Kip')),
    'LBP' => array('name' => t('Lebanese Pound')),
    'LKR' => array('name' => t('Sri Lankan Rupee')),
    'LRD' => array('name' => t('Liberian Dollar'), 'sign' => '$',),
    'LSL' => array('name' => t('Lesotho Loti')),
    'LTL' => array('name' => t('Lithuanian Litas')),
    'LVL' => array('name' => t('Latvian Lats')),
    'MAD' => array('name' => t('Moroccan Dirham')),
    'MDL' => array('name' => t('Moldovan Leu')),
    'MGA' => array('name' => t('Malagasy Ariary')),
    'MKD' => array('name' => t('Macedonian Denar')),
    'MNT' => array('name' => t('Mongolian Tögrög')),
    'MOP' => array('name' => t('Macanese Pataca')),
    'MRO' => array('name' => t('Mauritanian Ouguiya')),
    'MUR' => array('name' => t('Mauritian Rupee')),
    'MVR' => array('name' => t('Maldivian Rufiyaa')),
    'MWK' => array('name' => t('Malawian Kwacha')),
    'MXN' => array('name' => t('Mexican Peso'), 'sign' => '$',),
    'MYR' => array('name' => t('Malaysian Ringgit'), 'sign' => 'RM',),
    'MZN' => array('name' => t('Mozambican Metical')),
    'NAD' => array('name' => t('Namibian Dollar'), 'sign' => '$',),
    'NGN' => array('name' => t('Nigerian Naira'), 'sign' => '₦',),
    'NIO' => array('name' => t('Nicaraguan Córdoba')),
    'NOK' => array('name' => t('Norwegian Krone'), 'sign' => 'kr',),
    'NPR' => array('name' => t('Nepalese Rupee')),
    'NZD' => array('name' => t('New Zealand Dollar'), 'sign' => '$',),
    'PAB' => array('name' => t('Panamanian Balboa')),
    'PEN' => array('name' => t('Peruvian Nuevo Sol')),
    'PGK' => array('name' => t('Papua New Guinean Kina')),
    'PHP' => array('name' => t('Philippine Peso'), 'sign' => 'piso',),
    'PKR' => array('name' => t('Pakistani Rupee')),
    'PLN' => array('name' => t('Polish Złoty'), 'sign' => 'zl',),
    'PYG' => array('name' => t('Paraguayan Guaraní')),
    'QAR' => array('name' => t('Qatari Riyal')),
    'RON' => array('name' => t('Romanian Leu')),
    'RSD' => array('name' => t('Serbian Dinar')),
    'RUB' => array('name' => t('Russian Ruble')),
    'RWF' => array('name' => t('Rwandan Franc')),
    'SAR' => array('name' => t('Saudi Riyal')),
    'SBD' => array('name' => t('Solomon Islands Dollar'), 'sign' => '$',),
    'SCR' => array('name' => t('Seychellois Rupee')),
    'SEK' => array('name' => t('Swedish Krona'), 'sign' => 'kr',),
    'SGD' => array('name' => t('Singapore Dollar'), 'sign' => '$',),
    'SHP' => array('name' => t('Saint Helenian Pound')),
    'SLL' => array('name' => t('Sierra Leonean Leone')),
    'SOS' => array('name' => t('Somali Shilling')),
    'SRD' => array('name' => t('Surinamese Dollar'), 'sign' => '$',),
    'STD' => array('name' => t('São Tomé and Príncipe Dobra')),
    'SVC' => array('name' => t('Salvadoran Colón')),
    'SZL' => array('name' => t('Swazi Lilangeni')),
    'THB' => array('name' => t('Thai Baht'), 'sign' => '?',),
    'TJS' => array('name' => t('Tajikistani Somoni')),
    'TOP' => array('name' => t('Tongan Paʻanga')),
    'TRY' => array('name' => t('Turkish Lira')),
    'TTD' => array('name' => t('Trinidad and Tobago Dollar'), 'sign' => '$',),
    'TWD' => array('name' => t('New Taiwan Dollar'), 'sign' => '$',),
    'TZS' => array('name' => t('Tanzanian Shilling')),
    'UAH' => array('name' => t('Ukrainian Hryvnia')),
    'UGX' => array('name' => t('Ugandan Shilling')),
    'USD' => array('name' => t('United States Dollar'), 'sign' => '$',),
    'UYI' => array('name' => t('Uruguayan Peso')),
    'UZS' => array('name' => t('Uzbekistani Som')),
    'VEF' => array('name' => t('Venezuelan Bolívar')),
    'VND' => array('name' => t('Vietnamese Đồng')),
    'VUV' => array('name' => t('Vanuatu Vatu')),
    'WST' => array('name' => t('Samoan Tala')),
    'XAF' => array('name' => t('Central African Cfa Franc')),
    'XCD' => array('name' => t('East Caribbean Dollar'), 'sign' => '$',),
    'XOF' => array('name' => t('West African Cfa Franc')),
    'XPF' => array('name' => t('Cfp Franc')),
    'YER' => array('name' => t('Yemeni Rial')),
    'ZAR' => array('name' => t('South African Rand'), 'sign' => 'R ',),
    'ZMW' => array('name' => t('Zambian Kwacha')),
  );

  // Allow other modules to specify new currencies.
  $others = module_invoke_all('ms_core_currencies');

  $full = array_merge($default, $others);

  $default_values = array(
    'name' => '',
    'sign' => '',
    'format' => variable_get('ms_core_format_money_template', '[sign][number].[decimal]'),
    'decimal' => '.',
    'thousands' => ',',
  );

  foreach ($full as &$info) {
    if (!is_array($info)) {
      $info = array('name' => $info);
    }
    $info = array_merge($default_values, $info);
  }

  return $full;
}
